import { c as a, a1 as u } from "./app-Bpb4394e.js";
import { getCurrentInstance as d, reactive as l, watch as o } from "vue";
function g(i = "modelValue", e) {
  var n, c;
  const s = ((n = d()) == null ? void 0 : n.props) ?? {}, f = ((c = d()) == null ? void 0 : c.emit) ?? (() => {
  }), t = l(a(s[i] ?? (e == null ? void 0 : e.default) ?? {})), m = `update:${u(i)}`;
  return e != null && e.watchProps && o(
    () => s[i],
    (r) => {
      r && r !== t && Object.assign(t, a(r));
    },
    { deep: !0, immediate: !0 }
  ), o(t, (r) => {
    f(m, r);
  }), t;
}
export {
  g as d
};
